import request from '@/utils/request'

// 查询店铺员工列表
export function listStoreStaff(query) {
  return request({
    url: '/ss/storeStaff/list',
    method: 'get',
    params: query
  })
}

// 查询店铺员工详细
export function getStoreStaff(employId) {
  return request({
    url: '/ss/storeStaff/' + employId,
    method: 'get'
  })
}

// 新增店铺员工
export function addStoreStaff(data) {
  return request({
    url: '/ss/storeStaff',
    method: 'post',
    data: data
  })
}

// 修改店铺员工
export function updateStoreStaff(data) {
  return request({
    url: '/ss/storeStaff',
    method: 'put',
    data: data
  })
}

// 删除店铺员工
export function delStoreStaff(employId) {
  return request({
    url: '/ss/storeStaff/' + employId,
    method: 'delete'
  })
}
